/* Sticky footer styles
-------------------------------------------------- */
/*region font face*/
@font-face {
    font-family: 'Mirages Custom';
    font-style: normal;
    font-weight: 100;
    src:
        url(../font/Myriad/100.woff) format('woff'),
        url(../font/Myriad/100.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: italic;
    font-weight: 100;
    src:
        url(../font/Myriad/100i.woff) format('woff'),
        url(../font/Myriad/100i.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: normal;
    font-weight: 200;
    src:
        url(../font/Myriad/200.woff) format('woff'),
        url(../font/Myriad/200.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: italic;
    font-weight: 200;
    src:
        url(../font/Myriad/200i.woff) format('woff'),
        url(../font/Myriad/200i.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: normal;
    font-weight: 300;
    src:
        url(../font/Myriad/300.woff) format('woff'),
        url(../font/Myriad/300.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: italic;
    font-weight: 300;
    src:
        url(../font/Myriad/300i.woff) format('woff'),
        url(../font/Myriad/300i.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: normal;
    font-weight: 400;
    src:
        url(../font/Myriad/400.woff) format('woff'),
        url(../font/Myriad/400.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: italic;
    font-weight: 400;
    src:
        url(../font/Myriad/400i.woff) format('woff'),
        url(../font/Myriad/400i.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: normal;
    font-weight: 500;
    src:
        url(../font/Myriad/500.woff) format('woff'),
        url(../font/Myriad/500.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: italic;
    font-weight: 500;
    src:
        url(../font/Myriad/500i.woff) format('woff'),
        url(../font/Myriad/500i.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: normal;
    font-weight: 600;
    src:
        url(../font/Myriad/600.woff) format('woff'),
        url(../font/Myriad/600.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: italic;
    font-weight: 600;
    src:
        url(../font/Myriad/600i.woff) format('woff'),
        url(../font/Myriad/600i.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: normal;
    font-weight: 700;
    src:
        url(../font/Myriad/700.woff) format('woff'),
        url(../font/Myriad/700.ttf) format('truetype');
}
@font-face {
    font-family: 'Mirages Custom';
    font-style: italic;
    font-weight: 700;
    src:
        url(../font/Myriad/700i.woff) format('woff'),
        url(../font/Myriad/700i.ttf) format('truetype');
}
@font-face {
    font-family: 'Consolas';
    font-style: normal;
    font-weight: 400;
    src:
        local('Consolas'),
        url(../font/Consolas/400.eot) format('embedded-opentype'),
        url(../font/Consolas/400.woff2) format('woff2'),
        url(../font/Consolas/400.woff) format('woff'),
        url(../font/Consolas/400.ttf) format('truetype'),
        url(../font/Consolas/400.svg#Consolas) format('svg');
}
@font-face {
    font-family: 'Consolas';
    font-style: normal;
    font-weight: 700;
    src:
        local('Consolas'),
        url(../font/Consolas/700.eot) format('embedded-opentype'),
        url(../font/Consolas/700.woff2) format('woff2'),
        url(../font/Consolas/700.woff) format('woff'),
        url(../font/Consolas/700.ttf) format('truetype'),
        url(../font/Consolas/700.svg#Consolas) format('svg');
}
/*endregion*/

body {
    font-family: 'Mirages Custom', 'Open Sans', 'PingFang SC', 'Hiragino Sans GB', 'Microsoft Yahei',  'WenQuanYi Micro Hei', 'Segoe UI Emoji', 'Segoe UI Symbol', Helvetica, Arial, sans-serif;
}
.footer p, code, pre, pre>code, .price {
    font-family: Consolas, Menlo, Monaco, "lucida console", "Liberation Mono", "Courier New", "andale mono", 'PingFang SC', 'Hiragino Sans GB', 'Microsoft Yahei', 'WenQuanYi Micro Hei', monospace, sans-serif;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 72px;
}

.navbar {
    padding: 16px 16px;
}

@supports (-webkit-backdrop-filter: blur(20px)) or (backdrop-filter: blur(20px)){
    .navbar.navbar-light.bg-light {
        background-color: rgba(255, 255, 255, 0.7) !important;
        /*border-bottom: 1px solid #fafafa;*/
        -webkit-backdrop-filter: blur(20px);
        backdrop-filter: blur(20px);
        -webkit-box-shadow: 0 0.3125rem 0.3125rem -0.3125rem rgba(0,0,0,0.117);
        -moz-box-shadow: 0 0.3125rem 0.3125rem -0.3125rem rgba(0,0,0,0.117);
        box-shadow: 0 0.3125rem 0.3125rem -0.3125rem rgba(0,0,0,0.117)
    }
}


.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 72px;
    line-height: 72px;
    background-color: #f5f5f5;
}
.footer p {
    font-size: .75rem;
    margin-bottom: 0;
}

body > .container {
    padding: 92px 15px 10px;
}

.footer > .container {
    padding-right: 15px;
    padding-left: 15px;
}
.form-control.is-invalid ~ .text-muted {
    display: none;
}
.form-sli {
    max-width: 600px;
    margin-top: 16px;
}
.btn-round {
    padding: .5rem 3rem;
    border-radius: 2rem;
}

/*region Content*/
.content {
    font-weight: 400;
    font-size: 1rem;
}
@media screen and (min-device-pixel-ratio: 1.5), screen and (-webkit-min-device-pixel-ratio: 1.5), screen and (-o-min-device-pixel-ratio: 1.5/1.5) {
    .content {
        font-weight: 300;
        font-size: 1rem;
    }
}
.content h5 {
    margin-top: 1rem;
}
.content strong {
    font-weight: 700;
}
.content input.form-control {
    font-size: 14px;
    line-height: 1.71;
}
.content .pagination .page-item .page-link {
    padding: .5rem 1.15rem;
}
/*endregion*/

/*region 首页*/
.index-title {
    margin-top: 1rem;
    font-weight: 300;
}
.btn-preview {
    padding: .5rem 3rem;
    margin: 0 1rem 3rem auto;
    border-radius: 2rem;
}
.btn-buy {
    padding: .5rem 3rem;
    margin: 0 auto 3rem;
    border-radius: 2rem;
}
img.index-image {
    margin-top: 1rem;
    width: 100%;
    max-width: 600px;
}
/*endregion*/

/*region 支付宝支付页面 */
#pay-card {
    padding-top: .5rem;
    width: 100%;
}
#pay-card .card {
    width: 18rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
    text-align: right;
}
#pay-card .card .card-text {
    font-size: .875rem
}
#pay-card .card .card-text code {
    font-size: .875rem
}
#pay-button-group {
    display: none;
}
#pay-button-group .pay-success {
    margin-left: 4rem;
}
/*endregion*/

/*region 注册页面*/
.form-registration {
    max-width: 600px;
    margin-top: 16px;
}
.title-registration {
    max-width: 600px;
}
/*endregion*/

/*region 登录框*/
.form-login, .form-forget-password {
    max-width: 330px;
    padding: 15px;
    margin: 40px auto;
}

.form-login .form-login-heading,
.form-login .checkbox {
    margin-bottom: 10px;
}

.form-login .checkbox {
    font-weight: 400;
}

.form-login .form-control, .form-forget-password .form-control {
    position: relative;
    box-sizing: border-box;
    height: auto;
    padding: 12px;
    font-size: 14px;
}

.form-login .form-control:focus {
    z-index: 2;
}

.form-login input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-login input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.form-login > .btn.btn-lg.btn-dark.btn-block {
    font-size: 16px;
    padding: 10px 16px;
}
.inline-row {
    display: table;
    width: 100%;
}
.inline-row > .inline-field {
    display: table-cell;
}
.form-login div.forget-password {
    text-align: right;
}
.form-login div.forget-password a {
    color: #777;
}
.form-login .inline-row {
    font-size: 14px;
}

.form-forget-password > .btn.btn-lg.btn-dark.btn-block {
    font-size: 16px;
    padding: 10px 16px;
    margin-top: 20px;
}
/*endregion*/

/*region Meiqia */
#MEIQIA-BTN-HOLDER {
    bottom: 0.625rem !important;
    right: 0.625rem !important;
    left: auto !important;
    height: 3.75rem !important;
    width: 3.75rem !important;
    -webkit-transition: 0.5s ease all;
    -moz-transition: 0.5s ease all;
    -ms-transition: 0.5s ease all;
    -o-transition: 0.5s ease all;
    transition: 0.5s ease all;
}
#MEIQIA-BTN {
    width: 100%!important;
    line-height: 3.75rem;
    height: 100%!important;
    border: 1px solid rgba(0,0,0,0)!important;
    background-color: #F55852!important;
}
body.theme-dark #MEIQIA-BTN {
    background-color: #7AC088!important;
}
/*endregion*/

#card-total-income>.card-body>.card-title {
    font-weight: 100;
    font-size: 117px;
}
@media screen and (max-width: 500px) {
    #card-total-income>.card-body>.card-title {
        font-size: 71px;
    }
}
#card-total-income>.card-body>.card-text {
    font-size: 24px;
}
#card-total-income>.card-body>.card-text>span.intro {
    font-size: 12px;
    font-weight: 400;
    color: #777;
}

.card-deck .card {
    max-width: 360px;
}

#wechat-payjs-pay {
    padding-top: 40px;
}
#wechat-payjs-pay .price-tag {
    padding-top: 15px;
}
#wechat-payjs-pay .table-responsive {
    margin-top: 24px;
}
#wechat-payjs-pay .pay-btn-group {
    position: fixed;
    bottom: 0;
    width: 100%;
    background: #fff;
    margin-bottom: 0;
    left: 0;
    text-align: center;
    -webkit-box-shadow: 0 -0.3125rem 0.3125rem -0.3125rem rgba(0,0,0,.117);
    -moz-box-shadow: 0 -0.3125rem .3125rem -0.3125rem rgba(0,0,0,.117);
    box-shadow: 0 -0.3125rem 0.3125rem -0.3125rem rgba(0,0,0,.117);
    padding-bottom: env(safe-area-inset-bottom);
}
#wechat-payjs-pay .pay-btn-group .pay-btn-wrapper {
    padding: 15px;
}

/* 1792x828px at 326ppi == iPhone XR */
@media only screen and (device-width : 414px) and (device-height : 896px) and (-webkit-device-pixel-ratio : 2) {
    #wechat-payjs-pay .pay-btn-group {
        padding-bottom: 34px;
    }
}
/* 2436x1125px at 458ppi iPhone Xs*/
@media only screen and (device-width : 375px) and (device-height : 812px) and (-webkit-device-pixel-ratio : 3) {
    #wechat-payjs-pay .pay-btn-group {
        padding-bottom: 34px;
    }
}
/* 2688x1242px at 458ppi iPhone Xs Max*/
@media only screen and (device-width : 414px) and (device-height : 896px) and (-webkit-device-pixel-ratio : 3) {
    #wechat-payjs-pay .pay-btn-group {
        padding-bottom: 34px;
    }
}
#wechat-payjs-pay .pay-btn-wrapper button {
    font-weight: 500;
    font-size: 14px;
    width: 100%;
    height: 48px;
    max-width: 450px;
    border-radius: 4px;
    border: 0;
}

.gradient-background {
    background: linear-gradient(-45deg, #EE7752, #E73C7E, #23A6D5, #23D5AB);
    background-size: 1000% 1000%;
    -webkit-animation: Gradient 90s linear infinite;
    -moz-animation: Gradient 90s linear infinite;
    animation: Gradient 90s linear infinite
}

@-webkit-keyframes Gradient {
    0% {
        background-position: 0 50%
    }

    50% {
        background-position: 100% 50%
    }

    100% {
        background-position: 0 50%
    }
}

@-moz-keyframes Gradient {
    0% {
        background-position: 0 50%
    }

    50% {
        background-position: 100% 50%
    }

    100% {
        background-position: 0 50%
    }
}

@keyframes Gradient {
    0% {
        background-position: 0 50%
    }

    50% {
        background-position: 100% 50%
    }

    100% {
        background-position: 0 50%
    }
}
